"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateParamsFetchProjectProperties = exports.validateParamsFetchByFilter = exports.validateParamsFetchNavigation = exports.validateParamsFetchElement = exports.createValidationError = void 0;
/**
 * Creates the correct ValidationError for the given reason.
 * @param reason
 * @returns
 */
var createValidationError = function (reason) { return ({
    valid: false,
    reason: reason,
    statusCode: 400,
}); };
exports.createValidationError = createValidationError;
/**
 * Checks for required Parameters
 * @param params
 * @returns result object indicating validity, and a reason if not valid.
 */
var validateParamsFetchElement = function (params) {
    if (!params || typeof params !== 'object') {
        return (0, exports.createValidationError)('MISSING_PARAM_OBJECT');
    }
    if (!params.locale) {
        return (0, exports.createValidationError)('MISSING_LOCALE');
    }
    if (!params.id) {
        return (0, exports.createValidationError)('MISSING_ID');
    }
    return {
        valid: true,
    };
};
exports.validateParamsFetchElement = validateParamsFetchElement;
/**
 * Checks for required Parameters
 * @param params
 * @returns result object indicating validity, and a reason if not valid.
 */
var validateParamsFetchNavigation = function (params) {
    if (!params || typeof params !== 'object') {
        return (0, exports.createValidationError)('MISSING_PARAM_OBJECT');
    }
    if (!params.locale) {
        return (0, exports.createValidationError)('MISSING_LOCALE');
    }
    return {
        valid: true,
    };
};
exports.validateParamsFetchNavigation = validateParamsFetchNavigation;
/**
 * Checks for required Parameters
 * @param params
 * @returns result object indicating validity, and a reason if not valid.
 */
var validateParamsFetchByFilter = function (params) {
    if (!params || typeof params !== 'object') {
        return (0, exports.createValidationError)('MISSING_PARAM_OBJECT');
    }
    if (!params.filters ||
        !Array.isArray(params.filters)
    //params.filters.length === 0
    ) {
        return (0, exports.createValidationError)('MISSING_FILTERS');
    }
    return {
        valid: true,
    };
};
exports.validateParamsFetchByFilter = validateParamsFetchByFilter;
/**
 * Checks for required Parameters
 * @param params
 * @returns result object indicating validity, and a reason if not valid.
 */
var validateParamsFetchProjectProperties = function (params) {
    if (!params || typeof params !== 'object') {
        return (0, exports.createValidationError)('MISSING_PARAM_OBJECT');
    }
    if (!params.locale) {
        return (0, exports.createValidationError)('MISSING_LOCALE');
    }
    return {
        valid: true,
    };
};
exports.validateParamsFetchProjectProperties = validateParamsFetchProjectProperties;
//# sourceMappingURL=parameterValidation.js.map