"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockPermissionGroup = exports.mockPermissionActivity = exports.createMediaPictureReference = exports.createMediaPictureReferenceValue = exports.createDataEntry = void 0;
var faker_1 = __importDefault(require("faker"));
function createDataEntry(id, locale) {
    if (id === void 0) { id = faker_1.default.datatype.uuid(); }
    if (locale === void 0) { locale = faker_1.default.random.locale(); }
    return {
        _id: id + "." + locale,
        label: id + "-label",
        identifier: id,
        name: id + "-name",
        // note: these are not present on the CaaSApi_DataType interface but occur on almost any
        //       specialization and are extremely tedious to type so we simply always include them
        uid: id,
        uidType: id + "-uidType",
        displayName: id + "-displayName",
    };
}
exports.createDataEntry = createDataEntry;
function createMediaPictureReferenceValue(id, remoteProject) {
    if (id === void 0) { id = faker_1.default.datatype.uuid(); }
    return {
        fsType: 'Media',
        name: faker_1.default.random.word(),
        identifier: id,
        uid: id,
        uidType: 'MEDIASTORE_LEAF',
        mediaType: 'PICTURE',
        url: id + "-url",
        remoteProject: remoteProject,
    };
}
exports.createMediaPictureReferenceValue = createMediaPictureReferenceValue;
function createMediaPictureReference(id, remoteProject) {
    if (id === void 0) { id = faker_1.default.datatype.uuid(); }
    return {
        fsType: 'FS_REFERENCE',
        name: faker_1.default.random.word(),
        value: createMediaPictureReferenceValue(id, remoteProject),
    };
}
exports.createMediaPictureReference = createMediaPictureReference;
function mockPermissionActivity(allowed, forbidden) {
    return {
        activity: faker_1.default.random.word(),
        allowed: allowed,
        forbidden: forbidden,
    };
}
exports.mockPermissionActivity = mockPermissionActivity;
var mockPermissionGroup = function () {
    var groupId = faker_1.default.random.word();
    return {
        groupName: groupId + "-name",
        groupPath: "/GroupsFile/" + groupId,
    };
};
exports.mockPermissionGroup = mockPermissionGroup;
//# sourceMappingURL=createDataEntry.js.map