"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createImageMap = void 0;
var faker_1 = __importDefault(require("faker"));
var enums_1 = require("../enums");
var createDataEntry_1 = require("./createDataEntry");
function createImageMap() {
    var media = (0, createDataEntry_1.createMediaPictureReferenceValue)();
    var createPoint2D = function () { return ({
        x: faker_1.default.datatype.number(5),
        y: faker_1.default.datatype.number(5),
    }); };
    return {
        name: faker_1.default.random.word(),
        fsType: 'CMS_INPUT_IMAGEMAP',
        value: {
            fsType: 'MappingMedium',
            media: media,
            areas: [
                {
                    fsType: 'Area',
                    link: {
                        formData: {},
                        template: {},
                    },
                    areaType: enums_1.ImageMapAreaType.CIRCLE,
                    radius: faker_1.default.datatype.number(5),
                    center: createPoint2D(),
                },
                {
                    fsType: 'Area',
                    link: {
                        formData: {},
                        template: {},
                    },
                    areaType: enums_1.ImageMapAreaType.RECT,
                    leftTop: createPoint2D(),
                    rightBottom: createPoint2D(),
                },
                {
                    fsType: 'Area',
                    link: {
                        formData: {},
                        template: {},
                    },
                    areaType: enums_1.ImageMapAreaType.POLY,
                    points: [createPoint2D(), createPoint2D(), createPoint2D()],
                },
            ],
            resolution: {
                fsType: 'Resolution',
                uid: faker_1.default.datatype.uuid(),
                width: 1920,
                height: 1080,
            },
        },
    };
}
exports.createImageMap = createImageMap;
//# sourceMappingURL=createImageMap.js.map